#
# spec file for package gap-kan
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-kan
Version:        1.37
Release:        1.2
Summary:        GAP: double coset rewriting systems
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/kan/
#Git-Clone:     https://github.com/gap-packages/kan
Source:         https://github.com/gap-packages/kan/releases/download/v%version/kan-%version.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-automata >= 1.14
Requires:       gap-core >= 4.11
Requires:       gap-gapdoc >= 1.6.2
Requires:       gap-kbmag >= 1.5.9

%description
This package was conceived for computing induced actions of
categories. This version only deals with deouble coset rewriting
systems for finitely presented groups.

%prep
%autosetup -n kan-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.37
  * Fixed varying output from ``DisplayRwsRules``
  * kan is now using ``PreImagesRepresentativeNC``
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.34
  * Fixed a problem in manual(2.2.1)
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.28
  * (Partial)DoubleCosetRewritingSystem now takes two subgroups as
    parameters 2,3, rather than their generating sets.
  * NextWord now has max_number_of_attempts as third parameter and
    now works for any rws; added operation NextWords
  * Added attribute OrderedAlphabet for a rewriting system
  * Added ReducedForm method for an fp-group and an element
    added use of ReducedForm to the examples in the manual.
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 1.27
  * Internal metadata update only
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 1.25
  * Changed output of WordAcceptorOfReducedRws from nfa to mfa
  fixing problem with the language langT given on p.5 of the
  manual which has been outstanding for many years; adjusted
  test/example files and added to page 8 of the manual.
  * Attempted to correct new output error when printing accT.
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 1.11
  * Metadata update only (homepage URL)
* Thu Feb  6 2014 jengelh@inai.de
- Update to new upstream release 1.07
  * fix test files to reflect new printing of monoids
  * rewrite of testall.g following Alex K's wedderga example
* Fri May 10 2013 jengelh@inai.de
- Split kan (version 1.06) off the gap RPM package
